


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: AccessDeniedException</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.service.exception</a> ]
</div>

<h1>Coverage Summary for Class: AccessDeniedException (com.dema.timeregistration.service.exception)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">AccessDeniedException</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    75%
  </span>
  <span class="absValue">
    (3/ 4)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    80%
  </span>
  <span class="absValue">
    (4/ 5)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.service.exception;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import com.dema.timeregistration.entity.GlobalRole;
<i>4</i>&nbsp;import com.dema.timeregistration.entity.Role;
<i>5</i>&nbsp;
<i>6</i>&nbsp;public class AccessDeniedException extends Exception {
<i>7</i>&nbsp;    public AccessDeniedException(String message) {
<b class="fc"><i>8</i>&nbsp;        super(message);</b>
<b class="fc"><i>9</i>&nbsp;    }</b>
<i>10</i>&nbsp;
<i>11</i>&nbsp;    public static AccessDeniedException requiresAdministratorRole() {
<b class="fc"><i>12</i>&nbsp;        return new AccessDeniedException(&quot;The specified action requires the role: &quot; + GlobalRole.GLOBAL_ADMINISTRATOR.getName());</b>
<i>13</i>&nbsp;    }
<i>14</i>&nbsp;
<i>15</i>&nbsp;    public static AccessDeniedException projectLeaderOrAdministratorRole() {
<b class="fc"><i>16</i>&nbsp;        return new AccessDeniedException(&quot;The specified action requires the role: &quot; + Role.PROJECT_LEADER.getName() + &quot;, or the role: &quot; + GlobalRole.GLOBAL_ADMINISTRATOR);</b>
<i>17</i>&nbsp;    }
<i>18</i>&nbsp;
<i>19</i>&nbsp;    public static AccessDeniedException projectRoleOrAdministratorRole() {
<b class="nc"><i>20</i>&nbsp;        return new AccessDeniedException(&quot;The specified action a role in the project, or the role: &quot; + GlobalRole.GLOBAL_ADMINISTRATOR);</b>
<i>21</i>&nbsp;    }
<i>22</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
